<script setup lang="ts">

useHead({
  titleTemplate: "%s - Portafolio",
  link:[
    {
      rel: "icon",
      href: "/assets/img/logo.png"
    },
    {
      rel: "stylesheet",
      href: "https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
    },
    {
      rel: "stylesheet",
      href: "/assets/vendor/aos/aos.css"
    },
    {
      rel: "stylesheet",
      href: "/assets/vendor/bootstrap/css/bootstrap.min.css"
    },
    {
      rel: "stylesheet",
      href: "/assets/vendor/bootstrap-icons/bootstrap-icons.css"
    },
    {
      rel: "stylesheet",
      href: "/assets/vendor/boxicons/css/boxicons.min.css"
    },
    {
      rel: "stylesheet",
      href: "/assets/vendor/glightbox/css/glightbox.min.css"
    },
    {
      rel: "stylesheet",
      href: "/assets/vendor/swiper/swiper-bundle.min.css"
    },
    {
      rel: "stylesheet",
      href: "/assets/css/style.css"
    }
  ],

  script: [
    {
      src: "/assets/vendor/purecounter/purecounter_vanilla.js",
      body: true,
    },
    {
      src: "/assets/vendor/aos/aos.js",
      body: true,
    },
    {
      src: "/assets/vendor/bootstrap/js/bootstrap.bundle.min.js",
      body: true,
    },
    {
      src: "/assets/vendor/glightbox/js/glightbox.min.js",
      body: true,
    },
    {
      src: "/assets/vendor/isotope-layout/isotope.pkgd.min.js",
      body: true,
    },
    {
      src: "assets/vendor/swiper/swiper-bundle.min.js",
      body: true,
    },
    {
      src: "assets/vendor/typed.js/typed.umd.js",
      body: true,
    },
    {
      src: "assets/vendor/waypoints/noframework.waypoints.js",
      body: true,
    },
    {
      src: "/assets/js/main.js",
      body: true,
    },
  ]
})
</script>

<template>

  <Header />

  <main id="main">
    <slot />
  </main>

  <Footer />

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center">
    <i class="bi bi-arrow-up-short"></i>
  </a>

</template>

<style scoped>

</style>